> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a comment for an entity and branch



## OpenAPI

````yaml /openapi.json patch /comments/{commentId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /comments/{commentId}:
    patch:
      tags:
        - comments
      summary: Update a comment for an entity and branch
      operationId: CommentsController_updateComment
      parameters:
        - name: commentId
          required: true
          in: path
          description: Id of the comment
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCommentInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCommentOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CommentNotFoundErrorDto'
              examples:
                COMMENT_NOT_FOUND:
                  $ref: '#/components/schemas/CommentNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdateCommentInputBody:
      type: object
      properties:
        comment:
          type: string
          description: Comment content
          maxLength: 10000
      required:
        - comment
    UpdateCommentOutput:
      type: object
      properties: {}
    CommentNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - COMMENT_NOT_FOUND
        message:
          type: string
          example: Comment {id} not found
        details:
          $ref: '#/components/schemas/CommentNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    CommentNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````